# circuits.core.bridge module

Bridge

The Bridge Component is used for inter-process communications between processes. Bridge is used internally when a Component is started in “process mode” via `circuits.core.manager.start()`. Typically a Pipe is used as the socket transport between two sides of a Bridge (there must be a :class:`~Bridge` instance on both sides).

class circuits.core.bridge.ipc(event, channel=None)

  Bases: `Event`

  ipc Event

  Send an event to a child/parent process

  Parameters:

    - event (`circuits.core.events.Event`) – Event to execute remotely.

    - channel (str) – IPC Channel (channel to use on child/parent).

class circuits.core.bridge.Bridge(*args, **kwargs)

  Bases: `BaseComponent`

  Initializes x; see x.__class__.__doc__ for signature

  channel = 'bridge'
  init(socket, channel='bridge')